Update oauth support for rails 3 version of oauth plugin
authorTom Hughes <tom@compton.nu>
Wed, 22 Sep 2010 17:29:27 +0000 (18:29 +0100)
committerTom Hughes <tom@compton.nu>
Mon, 14 Nov 2011 09:42:45 +0000 (09:42 +0000)
Gemfile
app/controllers/application_controller.rb

diff --git a/Gemfile b/Gemfile
index 7e356e5..81a543e 100644 (file)
--- a/Gemfile
+++ b/Gemfile
@@ -6,7 +6,7 @@ gem 'pg'
 gem 'libxml-ruby', '>= 2.0.5', :require => 'libxml'
 gem 'rmagick', :require => 'RMagick'
 gem 'oauth', '>= 0.4.3'
-gem 'oauth-plugin', '>= 0.3.14'
+gem 'oauth-plugin', '> 0.3.14'
 gem 'httpclient'
 gem 'SystemTimer', '>= 1.1.3', :require => 'system_timer'
 gem 'sanitize'
index 5018dcc..e22f64c 100644 (file)
@@ -106,7 +106,7 @@ class ApplicationController < ActionController::Base
   # is optional.
   def setup_user_auth
     # try and setup using OAuth
-    if oauthenticate
+    if Authenticator.new(self, [:token]).allow?
       @user = current_token.user
     else
       username, passwd = get_auth_data # parse from headers
@@ -358,4 +358,8 @@ private
     return [user, pass] 
   end 
 
+  # override to stop oauth plugin sending errors
+  def invalid_oauth_response
+  end
+
 end